Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface ConfigurableFileCollection

    org.gradle.api.file.ConfigurableFileCollection
      org.gradle.api.Buildable
          org.gradle.api.tasks.AntBuilderAware
              org.gradle.api.file.FileCollection

All Superinterfaces:
  Buildable, AntBuilderAware, FileCollection

    public interface ConfigurableFileCollection
    extends FileCollection

A `ConfigurableFileCollection` is a mutable `FileCollection`.

You can obtain an instance of `ConfigurableFileCollection` by calling Project.files

Method Summary
`ConfigurableFileCollection` | `builtBy(java.lang.Object tasks)` Registers some tasks which build the files of this collection.
`ConfigurableFileCollection` | `from(java.lang.Object paths)` Adds a set of source paths to this collection.
`java.util.Set` | `getBuiltBy()` Returns the set of tasks which build the files of this collection.
`java.util.Set` | `getFrom()` Returns the set of source paths for this collection.
`ConfigurableFileCollection` | `setBuiltBy(java.lang.Iterable tasks)` Sets the tasks which build the files of this collection.
`void` | `setFrom(java.lang.Iterable paths)` Sets the source paths for this collection.
`void` | `setFrom(java.lang.Object paths)` Sets the source paths for this collection.

Methods inherited from interface FileCollection
add, addToAntBuilder, addToAntBuilder, asType, contains, filter, filter, getAsFileTree, getAsPath, getFiles, getSingleFile, isEmpty, minus, plus, stopExecutionIfEmpty

Methods inherited from interface java.lang.Iterable
java.lang.Iterable#iterator()

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface AntBuilderAware
addToAntBuilder

Method Detail

### builtBy

    public ConfigurableFileCollection builtBy(java.lang.Object tasks)

  Registers some tasks which build the files of this collection.
  Parameters:
    `tasks` - The tasks. These are evaluated as for Task.dependsOn.
  Returns:
    this

### from

    public ConfigurableFileCollection from(java.lang.Object paths)

  Adds a set of source paths to this collection. The given paths are evaluated as for Project.files.
  Parameters:
    `paths` - The files to add.
  Returns:
    this

### getBuiltBy

    public java.util.Set getBuiltBy()

  Returns the set of tasks which build the files of this collection.
  Returns:
    The set. Returns an empty set when there are no such tasks.

### getFrom

    public java.util.Set getFrom()

  Returns the set of source paths for this collection. The paths are evaluated as for Project.files.
  Returns:
    The set of source paths. Returns an empty set if none.

### setBuiltBy

    public ConfigurableFileCollection setBuiltBy(java.lang.Iterable tasks)

  Sets the tasks which build the files of this collection.
  Parameters:
    `tasks` - The tasks. These are evaluated as for Task.dependsOn.
  Returns:
    this

### setFrom

    public void setFrom(java.lang.Iterable paths)

  Sets the source paths for this collection. The given paths are evaluated as for Project.files.
  Parameters:
    `paths` - The paths.

### setFrom

    public void setFrom(java.lang.Object paths)

  Sets the source paths for this collection. The given paths are evaluated as for Project.files.
  Parameters:
    `paths` - The paths.

Groovy Documentation